//-----------------------------------------------------------------------------
//
//  File:       BRMK3.h
//  Author:     Bruce Sherry
//  Date:       2/9/2006 7:39PM
//  Purpose:    Rudman Regulator MK3-2 port definitions
//  needed
//  Software:   AVR-GCC to compile
//  needed
//  Hardware:   AMega88
//  Revision:   1.00
//
//  Modification History:
// 1.00 ->     Created. BS 2/9/2006 7:40PM
//
//-----------------------------------------------------------------------------

#define	SIG3    	    0	// PB0
#define FET_gate	    1	// PB1/OC1A
#define SIG4    	    2	// PB2
//#define DF_SI		    3	// PB3/MOSI
//#define DF_SO		    4	// PB4/MISO
//#define DF SCK	    5	// PB5/SCK
#define Xtal1		      6	// PB6
#define Xtal2		      7	// PB7

#define FET_PORT	PORTB
#define FET_DDR		DDRB
#define FET_PIN		PINB

#define	BatteryV	    0	// PC0
#define	LM34_temp	    1	// PC1
#define EXT_temp	    2	// PC2
#define	Load_Cur	    3	// PC3
#define V2      	    4	// PC4
#define V3      	    5	// PC5

#define RXD		        0	// PD0  EVIL Receive data
#define	TXD		        1	// PD1  EVIL Transmit data
#define	GREEN_LED	    2	// PD2
#define	YELLOW_LED    3	// PD3
#define	RED_LED		    4	// PD4
#define	STATUS_LED    5	// PD5
#define	SIG1          6	// PD6
#define	SIG2          7	// PD7

#define LED_PORT	    PORTD
#define LED_DDR		    DDRD
#define LED_PIN		    PIND

#define UNDREQUAL_LED	YELLOW_LED
#define OVERVOLT_LED	GREEN_LED
#define UNDERVOLT_LED	RED_LED

#define RS232_DDR	    DDRB
#define RS232_PORT	  PORTB
#define RS232_PIN     PINB

#define LOSIG_DDR	    DDRD
#define LOSIG_PORT	  PORTD
#define LOSIG_PIN	    PIND

#define HISIG_DDR	    DDRB
#define HISIG_PORT	  PORTB
#define HISIG_PIN	    PINB

#define EVIL_DDR	    DDRD
#define EVIL_PORT	    PORTD
#define EVIL_PIN	    PIND

// calibration locations
#define VOLTAGE_OFFSET_ADDR 0
#define VOLTAGE_CAL_ADDR 2
#define TEMPERATURE_OFFSET_ADDR 4
#define TEMPERATURE_CAL_ADDR 6
#define V2_OFFSET_ADDR 8
#define V2_CAL_ADDR 0x0A
#define V3_OFFSET_ADDR 0x0C
#define V3_CAL_ADDR 0x0E
#define LOW_VOLTS_ADDR 0x10
#define HIGH_VOLTS_ADDR 0x12
#define TEMP_HOT_ADDR 0x14
#define SERIAL_NUMBER_ADDR 0x16
#define BUS_UNIT_ADDR 0x1A
#define OSCCAL_BYTE_ADDR 0x1B

